Subject: [its] Meet at IETF Registration Desk, Monday 19h30

From: Alexandru Petrescu <[email-masked]>
Date: Sat, 09 Mar 2013 12:43:53 +0100

I would like to meet ITS enthusiasts

   Monday
   19h30
   at IETF Registration Desk

to discuss Charter proposal, and in general about advancement of ITS at
IETF and other SDOs.

As hallway discussion, and why not dine.

Alex
PS: RFC6771 and RFC5434 (successful bar bofs and bofs)

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 12 Mar 2013 00:05:29 +0100

Repeat,

I propose to meet at IETF Registration Desk at 19h30.

First entertain a bit the Charter ideas, then bar/restaurant/whatever.

Alex

Le 09/03/2013 12:43, Alexandru Petrescu a écrit :
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 12 Mar 2013 21:43:24 +0100

ITS list participants,

I would like to let you know what happened at this bar bof, because bar
it was.  There was no slide presentation.

A few people passed to say high and chat ITS: Michael Richardson, Jouni
Korhonen, Ralf, Kevin, SM, Dapeng Liu, Alper Yegin.

I had some light conversation about why using VIN to derive addresses.

Then 3 of us went to the bar.  I got a few comments about the Charter
Proposal:

Suggestion from Jouni – focus the Charter on 1 or 2 simple to achieve
things, maybe recharter later.

 From Michael – delete the ongoing activities, focus on things to achieve
; list 6 potential chairpersons ; run the Charter to ADs ask advice ;
VIN-ULA : how about ULA with some parts of VIN in clear and other parts
of VIN hashed for privacy.

Someone asked - why EtherType of IPv6 on Ethernet is not enough
(0x86DD), why do we ask for another one for IPv6-over-80211p?

That was it.

If I forgot something please let me know, so we can better frame how to
pursue.

I will modify the Charter Proposal accordingly, and also according to
the email list discussion.

Yours,

Alex

Le 09/03/2013 12:43, Alexandru Petrescu a écrit :
> Monday 19h30 at IETF Registration Desk
>
> to discuss Charter proposal, and in general about advancement of ITS
> at IETF and other SDOs.
>
> Alex PS: RFC6771 and RFC5434 (successful bar bofs and bofs)
>
> _______________________________________________ its mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/its
>
>

---

From: Michael Richardson <[email-masked]>
Date: Wed, 13 Mar 2013 19:23:01 -0400

>>>>> "Alexandru" == Alexandru Petrescu <[email-masked]> writes:
    Alexandru> Someone asked - why EtherType of IPv6 on Ethernet is not enough
    Alexandru> (0x86DD), why do we ask for another one for
    Alexandru> IPv6-over-80211p?

That was me.
I discussed this with others, and they were also perplexed as well.

-- 
Michael Richardson
-on the road-

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 00:43:03 +0100

Le 14/03/2013 00:23, Michael Richardson a écrit :
> Alexandru> Someone asked - why EtherType of IPv6 on Ethernet is not
> enough Alexandru> (0x86DD), why do we ask for another one for
> That was me. I discussed this with others, and they were also
> perplexed as well.

Well.

The existing IPv6-over-Ethernet EtherType is 0x86DD.

But there are several differences between Ethernet (WiFi) and 802.11p.

- 802.11p doesnt have security and doesnt have BSS.

- In some regions, 802.11p is not allowed by local regulator for
   anything that is 'non-safety'. ('safety' means an application to
   avoid car crashes, for exemple).  I.e. 802.11p is not allowed for IP.

- In laboratory people easily set up IP-straight-over-IP, but that does
   not mean it is legal by regulator (in terms of allowed frequency
   range).  In some such settings the EtherType is 0x0707 (instead of
   0x86DD IPv6-over-Ethernet).

There is a new EtherType for IP-over-ETSI-over-80211p ("Your
Ethernet Type Field number is: #8947"), check attached email.  But that
is not IPv6-straight-over-80211p, it is IPv6-over-ETSI-over-80211P.

For all these reasons, should there be a new EtherType for
IP-straight-over-80211p?

What happens if people assume that IPv6-straight-over-80211p is 0x86DD
but implementations do 0x0707 (as some do today, in a wait for such an
_agreed_ such new EtherType)?

Alex

> [email-masked] https://www.ietf.org/mailman/listinfo/its

Subject: Re: [its] What do we need to make ITS WG go forward? - EtherType for ITS
From: Thierry Ernst <[email-masked]>
To: <[email-masked]>
Date: Wed, 30 Jan 2013 10:52:36 +0100
List-Id: "Intelligent Transportation Systems discussion list." <its.ietf.org>

ETSI members have access to this document: this letter from Angela N. 
Thomas / IEEE Registration Authority it reads:
/Following is the Ethernet Type Field that you have requested from the 
IEEE. Please take a moment//
//to verify that the information contained in the company address area 
(above) is correct. If it//
//is not entirely correct, please notify the IEEE immediately.//
//The Ethertype tutorial on our web site at://
//http://standards.ieee.org/regauth/ethertype/type-tut.html//
//It should be stressed that the IEEE assignment committee has made 
every effort to ensure that//
//there is no duplication of assignments, but does not guarantee that 
duplicate assignments have//
//not occurred. We urge that all requests for numbers be administered by 
one person within your//
//company.//
//Your Ethernet Type Field number is: #8947//
//For more information on the uses of your ethernet type field, please 
see the relevant standards.//
///

Re what Alex wrote, IPv6 works over GeoNetworking which is a protocol 
defined by ETSI to work over G5 (ETSI's 11p). So, why would you need an 
additional EtherType ?

Regards,
Thierry

On 30/01/13 10:39, Alexandru Petrescu wrote:
> Le 30/01/2013 10:11, Thierry Ernst a écrit :
>>
>> Alex,
>>
>> IEEE have assigned Ethernet Type Field number #8947 for ITS use (ETSI
>> TC ITS's GeoNetworking). Check the following document available on
>> the ETSI server:
>>
>> ITS(13)000020
>> <http://docbox.etsi.org/ITS/ITS/05-CONTRIBUTIONS/2013/ITS%2813%29000020_Ethernet_Type_Field_number_for_GeoNetworking.pdf> 
>>
>>  Ethernet Type Field number for GeoNetworking
>> http://docbox.etsi.org/ITS/ITS/05-CONTRIBUTIONS/2013/ITS(13)000020_Ethernet_Type_Field_number_for_GeoNetworking.pdf 
>>
>
> Thierry,
>
> I
>>
> may be wrong, but here are my thoughts.
>
> I am trying to access these URLs you provide above but they are password
> protected.  What is the username and password?
>
> The URL indicates ETSI, not IEEE.
>
> The IEEE URL for EtherTypes is the following, I believe:
> http://standards.ieee.org/develop/regauth/ethertype/eth.txt
>
> That eth.txt file does not contain 0707 nor 8947.  But it does contain,
> for example 86DD which is 'IPv6'.
>
> The 0x0707 EtherType is present in an implementation which is supposed
> compliant with ETSI ITS (plugtests).  Wireshark dump available upon 
> request.
>
> Besides, if this is to be about IPv6, I think it should be reserved at
> IANA as well, in addition to reserving it at IEEE.  The IANA URL for
> IEEE 802 Numbers is at:
> http://www.iana.org/assignments/ieee-802-numbers/ieee-802-numbers.xml
>
> (the #8947 that you mention above does not seem to figure in this IANA
>  URL).
>
> This is why I believe this number should be reserved both as an
> EtherType at IEEE and at IANA.
>
> Yours,
>
> Alex
>
>>
>> Regards, Thierry.
>>
>>
>> On 28/01/13 14:28, Alexandru Petrescu wrote:
>>> Le 28/01/2013 14:16, Joe Klein a écrit :
>>>> I really dislike the fact that ISO is charging for the ISO 21217
>>>> - Architecture & ISO 21210 - IPv6 Networking.
>>>>
>>>> Does this make it any better? Safer?  Should ISO now have
>>>> cybersecurity and safety liability if the specification leads to
>>>> deaths and damage to property?
>>>
>>> Does it make any better interoperable as well?
>>>
>>> EtherType 0x0707 described in ITS documents, implemented, but not
>>> specified by IEEE nor reserved at IANA - does not make it
>>> interoperable.
>>>
>>> One wouldn't think that this 0x0707 ethertype be reserved by
>>> somebody who is not IANA nor IEEE?
>>>
>>> (see a good example of interoperability: IPv6 0x86dd ethertype is
>>> reserved at IEEE and at IANA
>>> http://www.iana.org/assignments/ieee-802-numbers/ieee-802-numbers.xml)
>>>
>>>
>>>
> Alex
>>>
>>> Or should these standards remain in
>>>> the public domain, for researches to review and validate?
>>>>
>>>> Just my 2 cents.
>>>>
>>>> Joe
>>>>
>>>>
>>>>
>>>> On Mon, Jan 28, 2013 at 6:31 AM, Thierry Ernst
>>>> <[email-masked]> wrote:
>>>>>
>>>>> Dear all,
>>>>>
>>>>> At this stage, I don't think a new working group is needed.
>>>>> First, it would need a charter, and support from the industry.
>>>>> But more importantly, IETF WGs are not usually sector-driven,
>>>>> so it means the different issues pertaining to ITS should be
>>>>> brought to VARIOUS existing WGs, and a WG should only be
>>>>> created if there is an important issue for which there is no
>>>>> existing WG that could work on it.
>>>>>
>>>>> This said, as mentioned earlier, ITS is not only about
>>>>> vehicular communications, though the issues listed by Alexandru
>>>>> below mostly consider vehicular communications.
>>>>>
>>>>> What ITS really needs is the definition of a common
>>>>> communication architecture and the definition of what features
>>>>> should be comprised for an IPv6 networking stack deployed for
>>>>> ITS use cases. This cannot be done at IETF, and actually
>>>>> already exists at ISO: - ISO 21217 - Architecture - ISO 21210 -
>>>>> IPv6 Networking
>>>>>
>>>>> As an input to the discussion, please consider reading
>>>>> documents D2.1 and D2.2 available on the ITSSv6 project web
>>>>> page: http://www.itssv6.eu/documentation/ D2.2 provides an
>>>>> analysis of the currently published version of ISO 21210, but
>>>>> new work items have been launched since then to address
>>>>> remaining issues.
>>>>>
>>>>> Regards, Thierry.
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> On 28/01/13 11:08, Alexandru Petrescu wrote:
>>>>>>
>>>>>> Le 28/01/2013 05:02, Stan Ratliff (sratliff) a écrit :
>>>>>>>
>>>>>>> All,
>>>>>>>
>>>>>>> This is just one opinion, but I'd like to understand why
>>>>>>> ITS would need its own IETF group. The work here is the
>>>>>>> same (IMO) as what is taking place in MANET. I would vote
>>>>>>> that this work be taken up in MANET.
>>>>>>
>>>>>>
>>>>>> Stan,
>>>>>>
>>>>>> Thank you for the offer.  I considered this offer since some
>>>>>> time.
>>>>>>
>>>>>> I try to understand whether some of these items on which I
>>>>>> have interest could be brought in in MANET WG: - V2V using
>>>>>> prefix exchange - VIN-based IP addressing scheme - ND Prefix
>>>>>> Delegation - PMIP-based network mobility - IPv6
>>>>>> single-address connecion 'sharing' with a cellular operator
>>>>>> and a vehicular moving network (type '64share' of v6ops). -
>>>>>> Default Route with DHCPv6.
>>>>>>
>>>>>> Please let me know.
>>>>>>
>>>>>> Yours,
>>>>>>
>>>>>> Alex
>>>>>>
>>>>>>>
>>>>>>> Regards, Stan
>>>>>>>
>>>>>>> On Jan 26, 2013, at 9:34 AM, Abdussalam Baryun wrote:
>>>>>>>
>>>>>>>> Hi Nabil,
>>>>>>>>
>>>>>>>> I think we already done some steps but not sure how far
>>>>>>>> now. We will need to propose the WG and provide the WG
>>>>>>>> charter, as use cases and work to be done in this group.
>>>>>>>> This charter needs to be approved by the IESG. I have not
>>>>>>>> attended the last meeting so not sure about the status
>>>>>>>> now,
>>>>>>>>
>>>>>>>> AB
>>>>>>>>
>>>>>>>> On 1/26/13, Nabil Benamar <[email-masked]> wrote:
>>>>>>>>>
>>>>>>>>> Hi All,
>>>>>>>>>
>>>>>>>>> I'm still interested in this list and want to join
>>>>>>>>> voices previously heard to make it a working group. So
>>>>>>>>> what should we exactly do, to achieve this goal ?
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> 2013/1/26 Abdussalam Baryun
>>>>>>>>> <[email-masked]>
>>>>>>>>>
>>>>>>>>>> Hi All,
>>>>>>>>>>
>>>>>>>>>> I was interested in this group but not sure where are
>>>>>>>>>> we so far. Is there progress, or is there
>>>>>>>>>> issues/efforts that need to be completed and
>>>>>>>>>> volunteered.
>>>>>>>>>>
>>>>>>>>>> AB _______________________________________________
>>>>>>>>>> its mailing list [email-masked]
>>>>>>>>> -- * * *تحياتي ، **Cordialement, Regards* * * * *
>>>>>>>>> *نبيل بنعمرو Nabil Benamar* Professor of computer
>>>>>>>>> sciences Simulation and Modelisation Laboratory Human
>>>>>>>>> Sciences Faculty of Meknes Moulay Ismail* *University*
>>>>>>>>> Meknes, Morocco *GSM: * *+ 212 6 70832236
>>>>>>>>> http://nabilbenamar.com/
>>>>>>>>>
>>>>>>>>> *
>>>>>>>>>
>>>>>>>>> -------------------------------------------------------------------------------- 
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>
>>>>>>>>>
>>> *
>>>>>>>>>
>>>>>>>>>
>>>>>>>> _______________________________________________ its
>>>>>>>> mailing list [email-masked]
>>>>>>> _______________________________________________ its
>>>>>>> mailing list [email-masked]
>>>>>> _______________________________________________ its mailing
>>>>>> list [email-masked] https://www.ietf.org/mailman/listinfo/its
>>>>>
>>>>>
>>>>>
>>>>> _______________________________________________ its mailing
>>>>> list [email-masked] https://www.ietf.org/mailman/listinfo/its
>>>>>

---

From: Romain KUNTZ <[email-masked]>
Date: Thu, 14 Mar 2013 10:52:29 +0100

Hello Alex,

> The existing IPv6-over-Ethernet EtherType is 0x86DD.

Yes and it should remain the same whatever the lower layer. What would be the benefits of having a new one? I still do not understand why you need a new ethertype. IPv6 should be agnostic to the lower layers and work exactly the same on top of 802.11p. That's the principle of the OSI layer separation! It should not behave differently so there is no reason to have a new Ethertype. 

> is not IPv6-straight-over-80211p, it is IPv6-over-ETSI-over-80211P.

GN is a different L3 protocol so it is normal to have a new ethertype for it. 

Regards,
Romain

> <Message joint.eml>_______________________________________________
> its mailing list
> [email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 13:44:39 +0100

Le 14/03/2013 00:43, Alexandru Petrescu a écrit :
>> Alexandru> Someone asked - why EtherType of IPv6 on Ethernet is
>> not enough Alexandru> (0x86DD), why do we ask for another one for
> - In laboratory people easily set up IP-straight-over-IP, but that
> does not mean it is legal by regulator (in terms of allowed
> frequency range).  In some such settings the EtherType is 0x0707
> (instead of 0x86DD IPv6-over-Ethernet).

In private I was told the following, and I stand corrected.

A certain 802.11p hardware uses 0x0707 EtherType for some unknown
intermediate protocol (wireshark doesnt understand it).  That 0x0707 is
not for IPv6.  It may be for IPv6-over-geonetworking-over-80211p.  This
may be corrected in the future to use #8947.

Alex

> There is a new EtherType for IP-over-ETSI-over-80211p ("Your Ethernet
> Type Field number is: #8947"), check attached email.  But that is not
> IPv6-straight-over-80211p, it is IPv6-over-ETSI-over-80211P.
>
> What happens if people assume that IPv6-straight-over-80211p is
> 0x86DD but implementations do 0x0707 (as some do today, in a wait for
> such an _agreed_ such new EtherType)?
>
> Alex
>
>>
>>
>>

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 13:59:49 +0100

Le 14/03/2013 10:52, Romain KUNTZ a écrit :
> Yes and it should remain the same whatever the lower layer. What
> would be the benefits of having a new one? I still do not understand
> why you need a new ethertype. IPv6 should be agnostic to the lower
> layers and work exactly the same on top of 802.11p

Romain - when you say 'the same', it means to me that 0x86DD is good to
be the same over WiFi, over Ethernet, over 802.15.4... and over 802.11p
- all IEEE links.  In principle I agree with that. (it would however be
different to non-IEEE links).

The most oppinions I hear is that we should continue to use 0x86DD for
IPv6-straight-over-80211p.  To which I tend to agree.

At the same time, I know it may be impossible for me in the place where
I live to use IPv6-straight-over-80211p for V2V, because of frequency
regulation.  I dont think at IETF we could influence frequency
regulation in some particular country.

What to do to be able to use IPv6-straight-over-80211p?

What to do to be able to use it in a secure manner, (because it doesnt
offer link-layer security, like WiFi does with WEP etc.)?

> That's the principle of the OSI layer separation! It should not
> behave differently so there is no reason to have a new Ethertype.

Should not, ok, but it does behave differently than WiFi.  For example
it doesnt have link layer security.

>> Ethernet Type Field number is: #8947"), check attached email.  But
>> that is not IPv6-straight-over-80211p, it is
>> IPv6-over-ETSI-over-80211P.
>

But they also have defined IPv6-over-geonetworking-over-80211p (not only
geonetworking-over-80211p): what EtherType should that use?  The 0x86DD?
  Or that #8947?

Alex

> Regards, Romain
>> 0x86DD but implementations do 0x0707 (as some do today, in a wait
>> for such an _agreed_ such new EtherType)?
>>
>> Alex
>>
>>>
>>>
>>>

---

From: Michael Richardson <[email-masked]>
Date: Thu, 14 Mar 2013 09:16:41 -0400

>>>>> "Alexandru" == Alexandru Petrescu <[email-masked]> writes:
    Alexandru> But there are several differences between Ethernet (WiFi)
    Alexandru> and 802.11p.

    Alexandru> - 802.11p doesnt have security and doesnt have BSS.

    Alexandru> - In some regions, 802.11p is not allowed by local
    Alexandru> regulator for anything that is 'non-safety'. ('safety'
    Alexandru> means an application to avoid car crashes, for exemple).
    Alexandru> I.e. 802.11p is not allowed for IP.

I'd like to see the text.

I don't see how do avoid crashes with only one car hop, I'd expect a
mesh, and I'd want a layer-3 mesh, so IP.  I don't think that "safety"
can imply the absense of some technology, rather it should restrict what
applications.

-- 
Michael Richardson
-on the road-

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 14:38:48 +0100

Le 14/03/2013 05:05, Richard Roy a écrit :
>> -----Original Message-----
>
>> From: Alexandru Petrescu [mailto:[email-masked]]
>
>> Sent: Wednesday, March 13, 2013 4:43 PM
>
>> To: [email-masked]
>
>> Subject: Re: [its] what happened
>
>>
>
>>>>>>>> "Alexandru" == Alexandru  Petrescu
>
>>>>>>>> <[email-masked]>  writes:
>
>>> not
> */[RR>] Not true. 802.11 at 5.9GHz in the US has more channels
> (174,176,178,180,182,183, and 184) than just a safety channel (172
> in FCC parlance), and IP can be used on those.

Ok, that is good to know.  Thank you for letting us know.

May I ask you the following.

What are the precise conditions of using IPv6 over these channels?

What power levels? (dBm, or Watt)
Should I register my device to a central authority?  Or may I use it
without informing them?
Are there areas where the use of that frequency for IP-over-80211p is
forbidden? (like near certain radio-telescope sites, like with the 70GHz
regulation of V2V)

The power levels is important for direct V2V communications, the more
power the more distanced the vehicles can be, in the absence of
infrastructure.

The registration to a central authority puts significant hurdles to
experimentation.

The area restriction puts significant hurdles to the automation process
(need to automatically turn off IP-over-80211p when the vehicle is in a
certain area, but the reliance on GPS is not that pervasive - in certain
regions Glonass, Galileo and others are preferred).

> Furthermore, the restriction on IP usage happens to come from IEEE
> 1609.3,

Yes, in Europe this comes from ETSI recommendations and all the way up
to the country-level Frequency Regulators which implement them in
various ways (some country allow others dont).

> not 802.11 since 802.11 knows nothing about networking protocols, and
> even worse, the restriction is on the CCH (channel 178) and NOT the
> safety channel (172),  Bizarre, isn't it!  Well, that's just the way
> it is ... for the moment anyway.

Right...

> No such restriction on IP exists in Europe, yet, and plans are to
> keep it that way;

Well no.  There exist such restrictions at least in the country where I
live in Europe.  One is not allowed to use IP-over-80211p-over-the
frequency-over-which-only-80211p-can-run.  There are several such countries.

> not that for safety apps and single hop V2V comms you wouldn't want a
> more stripped down protocol such as FNTP (see ISO 29281-1). /*

Well... we'd need to consider what is the potential work item about FNTP
at IETF.  I need clarification about that, and it's a separate topic.

I also wanted to mention...

One person asked me why I think that IP is not for 'safety'?   The
counter-example (IP _is_ for safety) is the following: I as passenger in
a car see an accident forming in the other lane - I instantly message
jabber to other vehicles about what I see so they slow down.  That's IP
and is safety...

Alex

> *//*
>> does
> */[RR>] 0x0707 is not a registered ethertype./*
>
>>
>
>> that
> */[RR>] No it is not.  This ethertype is for a completely different
> networking protocol called GeoNetworking which has little if nothing
> to do with IPv6, other than it, like most all other networking
> protocols can be modified to allow tunneling of IPv6 packets through
> the network protocol.  In 99.999% of the use cases ETSI is
> contemplating for this protocol, IPv6 plays no part at all. Finally,
> while you may hear that GeoNetworking only works over 5.9GHz, that's
> not true either.  ETSI would like to mandate its use therefore,
> however, to date, opposition to such a catastrophe has been
> sustained and successful, and there is currently no requirement for
> its use. /*
>
> *//*
>
> *//*
>
>>
>
> */[RR>] Since there are no valid reasons above, this seems to be a
> non-question to quote David Slepian./*
>
>>
>
>> 0x86DD
> */[RR>] Implementations using a non-registered ethertype do so at
> their own risk.  Anyone using 0x86DD to point to IPv6 should be just
> fine ... it's registered!/*
>
> */"/*
>
> */86DD         USC/ISI IPv6/*
>
> */              4676 Admiralty Way Internet Protocol Version 6/*
>
> */              Marina  del  Rey  CA  90292 Crawford, M.,
> "Transmission of IPv6 Packets over Ethernet Networks," RFC-2464,/*
>
> */              UNITED STATES Internet Society, Dec. 1998./*
>
> */ http://www.ietf.org/rfc/rfc2464.txt/*
>
> */"/*
>
> */RR/*
>
> *//*
>
>>
>
>> Alex
>
>>
>
>>>
>
>>>
>
>>>
>

---

From: Francisco Javier Ros Muñoz <[email-masked]>
Date: Thu, 14 Mar 2013 15:57:13 +0100

Hi Alex,

I agree with Romain in this regard. Please find some comments below.

> What to do to be able to use IPv6-straight-over-80211p?
In Europe, I think that you can't (please someone correct me if I'm wrong). The 5 GHz band is reserved for CEN DSRC and ETSI ITS. And ETSI ITS clearly states that IPv6 traffic is transported over the ITS-G5 interface (11p) via the GeoNetworking protocol (by means of the adaptation sublayer GN6ASL). Please check the references provided by Thierry and the related ETSI standards.

> offer link-layer security, like WiFi does with WEP etc.)?
802.11p does not offer link-layer security because stations operate outside the context of a BSS. A possible approach? Delegate security to upper layers.

> it doesnt have link layer security.
And WiFi behaves differently than Ethernet... but that has nothing to do. The purpose of EtherType is to identify the upper layer protocol.

> geonetworking-over-80211p): what EtherType should that use?  The 0x86DD?
The one for GeoNetworking, since IPv6 is 'hidden' from the link layer perspective.

Best,
fran

--
Francisco J. Ros, PhD
Dept. of Information and Communications Engineering
University of Murcia, Murcia (Spain)
http://masimum.inf.um.es/fjrm/

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 16:18:40 +0100

> I agree with Romain in this regard. Please find some comments below.

In this case, I tend to agree as well - only one EtherType for
IPv6-over-80211p and IPv6-over-Ethernet: 0x86DD.  But I still think
there may be some discrepancy, see below...

>>>>> Alexandru> Someone asked - why EtherType of IPv6 on Ethernet
>>>>>  is not enough Alexandru> (0x86DD), why do we ask for another
>>>>>  one for Alexandru> IPv6-over-80211p?
>>>>>
>>>>> That was me. I discussed this with others, and they were
>>>>> also perplexed as well.
>>>>
>>>> Well.
>>>>
>>> would be the benefits of having a new one? I still do not
>>> understand why you need a new ethertype. IPv6 should be agnostic
>>>  to the lower layers and work exactly the same on top of 802.11p
>>
>> Romain - when you say 'the same', it means to me that 0x86DD is
>> good to be the same over WiFi, over Ethernet, over 802.15.4... and
>>  over 802.11p - all IEEE links.  In principle I agree with that.
>> (it would however be different to non-IEEE links).
>>
>> The most oppinions I hear is that we should continue to use 0x86DD
>>  for IPv6-straight-over-80211p.  To which I tend to agree.
>>
>> At the same time, I know it may be impossible for me in the place
>> where I live to use IPv6-straight-over-80211p for V2V, because of
>> frequency regulation.  I dont think at IETF we could influence
>> frequency regulation in some particular country.
>>
> In Europe, I think that you can't (please someone correct me if I'm
> wrong). The 5 GHz band is reserved for CEN DSRC and ETSI ITS. And
> ETSI ITS clearly states that IPv6 traffic is transported over the
> ITS-G5 interface (11p) via the GeoNetworking protocol (by means of
> the adaptation sublayer GN6ASL). Please check the references provided
> by Thierry and the related ETSI standards.

Yes, I am checking.

>> What to do to be able to use it in a secure manner, (because it
>> doesnt offer link-layer security, like WiFi does with WEP etc.)?
>>
> 802.11p does not offer link-layer security because stations operate
> outside the context of a BSS. A possible approach? Delegate security
>  to upper layers.

Ok, but which one?

Should it be Neighbor Discovery security like SeND?  Is it HTTPS?
Another one?

>> Should not, ok, but it does behave differently than WiFi.  For
>> example it doesnt have link layer security.
>>
> And WiFi behaves differently than Ethernet... but that has nothing to
> do. The purpose of EtherType is to identify the upper layer
> protocol.

Ok...

>>>> - In some regions, 802.11p is not allowed by local regulator
>>>> for anything that is 'non-safety'. ('safety' means an
>>>> application to avoid car crashes, for exemple).  I.e. 802.11p
>>>> is not allowed for IP.
>>>>
>>>> - In laboratory people easily set up IP-straight-over-IP, but
>>>> that does not mean it is legal by regulator (in terms of
>>>> allowed frequency range).  In some such settings the EtherType
>>>>  is 0x0707 (instead of 0x86DD IPv6-over-Ethernet).
>>>>
>>>> Ethernet Type Field number is: #8947"), check attached email.
>>>> But that is not IPv6-straight-over-80211p, it is
>> But they also have defined IPv6-over-geonetworking-over-80211p (not
>> only geonetworking-over-80211p): what EtherType should that use?
>> The 0x86DD? Or that #8947?
>>

I interpret GeoNetworking to be like other Adaptation layers inserted
between IPv6 and the MAC.  RFC4944 IPv6-over-802154 has this Adaptation
layer which does fragmentation/reassembly.  That makes it to be
IPv6-over-AdaptationLayer-over-802154.

But, I think that uses a single EtherType - 0x86DD, and not two.

Whereas, with geonetworking as 'adaptation layer', if I am not wrong, we
see two different EtherTypes: one for
IPv6-over-geonetworking-over-80211p and another one for IPv6-over-80211p.

Alex

> Best, fran
>>>> What happens if people assume that IPv6-straight-over-80211p
>>>> is 0x86DD but implementations do 0x0707 (as some do today, in a
>>>>  wait for such an _agreed_ such new EtherType)?
>>>>
>>>> Alex
>>>>
>>>>>
>>>>>
>>>>>
>>>> <Message
>>>> joint.eml>_______________________________________________ its
> -- Francisco J. Ros, PhD Dept. of Information and Communications
> Engineering University of Murcia, Murcia (Spain)

---

From: Francisco Javier Ros Muñoz <[email-masked]>
Date: Thu, 14 Mar 2013 16:31:52 +0100

Alex,

El 14/03/2013, a las 16:18, Alexandru Petrescu escribió:
<snip>
> IPv6-over-AdaptationLayer-over-802154.
GeoNetworking is not an adaptation layer, it is a first class routing protocol. GN6ASL is the adaptation layer on top of GeoNetworking in order to present a virtual link to IPv6, possibly spanning multiple physical links.

> IPv6-over-geonetworking-over-80211p and another one for IPv6-over-80211p.
They are different EtherTypes, since they carry a different (immediate) upper layer protocol.

Best,
fran

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 18:09:30 +0100

Fran,

Thank you for the explanation that I kind of understand.

I will continue to discuss about this, to adapt our terminology.

Le 14/03/2013 16:31, Francisco Javier Ros Muñoz a écrit :
> Alex,
>
> El 14/03/2013, a las 16:18, Alexandru Petrescu escribió: <snip>
>> I interpret GeoNetworking to be like other Adaptation layers
>> inserted between IPv6 and the MAC.  RFC4944 IPv6-over-802154 has
>> this Adaptation layer which does fragmentation/reassembly.  That
>> makes it to be IPv6-over-AdaptationLayer-over-802154.
>>
> GeoNetworking is not an adaptation layer, it is a first class routing
> protocol.

I think we may need to adapt our terminology in order to understand each
other.

A routing protocol typically acts at IP and above (RIP, OSPF, RPL, AODV,
OLSR - all are above IP).

It's strange to see that GeoNetworking is routing protocol but is below
IP.  That would rather be a 'bridging protocol'? (bridging protocols are
often as complex as routing protocols, just they're below IP).

> GN6ASL is the adaptation layer on top of GeoNetworking in order to
> present a virtual link to IPv6, possibly spanning multiple physical
> links.

Ah!  So we talk adaptation layer, geonetworking, and only then IP...

>> Whereas, with geonetworking as 'adaptation layer', if I am not
>> wrong, we see two different EtherTypes: one for

Ok, so if GeoNetworking is much more than just an simple adaptation
layer (like the frag/reass adaptation layer of IP-over-802154) then
maybe this is why there are two different EtherTypes (one for pure IPv6
and one for IPv6-over-geonetworking).

Alex

---

From: Francisco Javier Ros Muñoz <[email-masked]>
Date: Thu, 14 Mar 2013 18:25:44 +0100

Hi again,

El 14/03/2013, a las 18:09, Alexandru Petrescu escribió:

> IP.

Ok, I see what you mean. Then let's say that GeoNetworking (GN) is a network layer protocol, just as IP is. GN is not intended to be transported over IP, but over ITS-G5. Therefore, GN is not intended to compute a routing table for IP. On the contrary, GN is able to transport IPv6 datagrams thanks to the adaptation layer GN6ASL.
Hopefully this makes things clearer :-)

> That would rather be a 'bridging protocol'? (bridging protocols are
The protocol stack would look like this: [ App - Transport - IPv6 - GN6ASL - GN - ITS-G5 ]
Regarding protocol headers, you'd get this: [ App - Transport - IPv6 - GN - ITS-G5 ]

Regards,
fran

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 19:38:40 +0100

Le 14/03/2013 18:25, Francisco Javier Ros Muñoz a écrit :
>>>> inserted between IPv6 and the MAC.  RFC4944 IPv6-over-802154
>>>> has this Adaptation layer which does fragmentation/reassembly.
>>>> That makes it to be IPv6-over-AdaptationLayer-over-802154.
>>>>
>>> GeoNetworking is not an adaptation layer, it is a first class
>>> routing protocol.
>>
>> I think we may need to adapt our terminology in order to
>> understand each other.
>>
>> A routing protocol typically acts at IP and above (RIP, OSPF, RPL,
>> AODV, OLSR - all are above IP).
>>
>> It's strange to see that GeoNetworking is routing protocol but is
>> below IP.
>
> Ok, I see what you mean. Then let's say that GeoNetworking (GN) is a
> network layer protocol, just as IP is. GN is not intended to be
> transported over IP, but over ITS-G5. Therefore, GN is not intended
> to compute a routing table for IP. On the contrary, GN is able to
> transport IPv6 datagrams thanks to the adaptation layer GN6ASL.

Yes, it is clearer.

It also looks as if GeoNetworking is of sort of Layer-3 protocol.

Something like IP-in-IP encapsulation where the first IP is GeoNetworking.

>>> GN6ASL is the adaptation layer on top of GeoNetworking in order
>>> to present a virtual link to IPv6, possibly spanning multiple
>>> physical links.
>>
> The protocol stack would look like this: [ App - Transport - IPv6 -
> GN6ASL - GN - ITS-G5 ] Regarding protocol headers, you'd get this: [
> App - Transport - IPv6 - GN - ITS-G5 ]

A-ha... do you know whether there is a wireshark protocol dissector for

[ App - Transport - IPv6 - GN - ITS-G5 ]

Can I see this in Wireshark? (wireshark is an open-source packet
analyzer tool which contains a large number of protocol intepreters).

Yours,

Alex

> Regards, fran
>> maybe this is why there are two different EtherTypes (one for pure
>> IPv6 and one for IPv6-over-geonetworking).
>>
>> Alex
>>
>>> Best, fran
>>>
>>>> Alex
>>>

---

From: Jong-Hyouk Lee <[email-masked]>
Date: Thu, 14 Mar 2013 15:07:55 -0400

Hummm, I remember that a Geonetworking extension to Wireshark was developed
and reported at the ETSI ITS TC list.

On Thu, Mar 14, 2013 at 2:38 PM, Alexandru Petrescu <
[email-masked]> wrote:

>>>>> That makes it to be IPv6-over-AdaptationLayer-**over-802154.
>>>>>
>>>>> IPv6-over-geonetworking-over-**80211p and another one for
>>>>> IPv6-over-80211p.
>>>>>
>>> ______________________________**_________________ its mailing list
>>> [email-masked] https://www.ietf.org/mailman/**listinfo/its<https://www.ietf.org/mailman/listinfo/its>
>>>
>>
> ______________________________**_________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/its<https://www.ietf.org/mailman/listinfo/its>
>

-- 
RSM Department, TELECOM Bretagne, France
Jong-Hyouk Lee, living somewhere between /dev/null and /dev/random

#email: jonghyouk (at) gmail (dot) com
#webpage: http://sites.google.com/site/hurryon/

---

From: Francisco Javier Ros Muñoz <[email-masked]>
Date: Thu, 14 Mar 2013 20:47:10 +0100

> It also looks as if GeoNetworking is of sort of Layer-3 protocol.
Absolutely. That's what I meant with 'network layer protocol'.

> [ App - Transport - IPv6 - GN - ITS-G5 ]
I have never used them, but you can find several dissectors for ETSI ITS in the following link:
http://www.amb-consulting.com/en/#downloads

Regards,
fran

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 14 Mar 2013 21:09:37 +0100

> http://www.amb-consulting.com/en/#downloads

Ok, we'll look at that, thanks.

Alex